
Redmine - Defect #2221

Today filter fails on sqlite

2008-11-21 12:04 - Alex Mankuta

Status: Closed Start date: 2008-11-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

I use Redmine with sqlite and it has some issues with today filter. Basically it shows tomorrow issues but not today.

It looks like a bug in sqlite itself. The lower value is not tested for equality but higher is.

PS: I didn't check other date filters yet. Probably they need similar fixes too.

Associated revisions

Revision 2054 - 2008-11-23 17:40 - Jean-Philippe Lang

Fixed date filters accuracy with SQLite (#2221).

History

#1 - 2008-11-23 17:38 - Jean-Philippe Lang

- Category changed from Search engine to Issues

- Status changed from New to Closed

- Target version set to 0.8

- Affected version (unused) set to devel

- Resolution set to Fixed

Actually, the fix was a bit more complex so that it works with Postgresql as well.

It should be fixed in r2054. Thanks for pointing out.

Files

redmine-sqlite-today.patch 786 Bytes 2008-11-21 Alex Mankuta
